use anyhow::{Error, Result};
//use app_state::APP_STATE;
use env_logger::Env;
use rest::init::init_api;
//use socketio::init::init_socketio;

pub mod rest;

#[tokio::main]
async fn main() -> Result<(), Error> {
    env_logger::Builder::from_env(Env::default().default_filter_or("info")).init();

    init_api().await?;
    Ok(())
}
